Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.ddl.dialect.oracle
Interface OracleDdlConstants.OracleStatementStartPhrases

All Known Implementing Classes:
  OracleDdlParser

Enclosing interface:
  OracleDdlConstants

    public static interface OracleDdlConstants.OracleStatementStartPhrases

Field Summary
`static String[][]` | `ALTER_PHRASES`
`static String[]` | `COMPLEX_STMT_TYPES`
`static String[][]` | `CREATE_PHRASES`
`static String[][]` | `DROP_PHRASES`
`static String[][]` | `MISC_PHRASES`
`static String[][]` | `SET_PHRASES`
`static String[][]` | `SLASHED_STMT_PHRASES`
`static String[]` | `STMT_ALTER_CLUSTER`
`static String[]` | `STMT_ALTER_DATABASE`
`static String[]` | `STMT_ALTER_DIMENSION`
`static String[]` | `STMT_ALTER_DISKGROUP`
`static String[]` | `STMT_ALTER_FUNCTION`
`static String[]` | `STMT_ALTER_INDEX`
`static String[]` | `STMT_ALTER_INDEXTYPE`
`static String[]` | `STMT_ALTER_JAVA`
`static String[]` | `STMT_ALTER_MATERIALIZED`
`static String[]` | `STMT_ALTER_OPERATOR`
`static String[]` | `STMT_ALTER_OUTLINE`
`static String[]` | `STMT_ALTER_PACKAGE`
`static String[]` | `STMT_ALTER_PROCEDURE`
`static String[]` | `STMT_ALTER_PROFILE`
`static String[]` | `STMT_ALTER_RESOURCE`
`static String[]` | `STMT_ALTER_ROLE`
`static String[]` | `STMT_ALTER_ROLLBACK`
`static String[]` | `STMT_ALTER_SEQUENCE`
`static String[]` | `STMT_ALTER_SESSION`
`static String[]` | `STMT_ALTER_SYSTEM`
`static String[]` | `STMT_ALTER_TABLESPACE`
`static String[]` | `STMT_ALTER_TRIGGER`
`static String[]` | `STMT_ALTER_TYPE`
`static String[]` | `STMT_ALTER_USER`
`static String[]` | `STMT_ALTER_VIEW`
`static String[]` | `STMT_ANALYZE`
`static String[]` | `STMT_ASSOCIATE_STATISTICS`
`static String[]` | `STMT_AUDIT`
`static String[]` | `STMT_COMMENT_ON`
`static String[]` | `STMT_COMMIT`
`static String[]` | `STMT_COMMIT_FORCE`
`static String[]` | `STMT_COMMIT_WORK`
`static String[]` | `STMT_COMMIT_WRITE`
`static String[]` | `STMT_CREATE_BITMAP_INDEX`
`static String[]` | `STMT_CREATE_CLUSTER`
`static String[]` | `STMT_CREATE_CONTEXT`
`static String[]` | `STMT_CREATE_CONTROLFILE`
`static String[]` | `STMT_CREATE_DATABASE`
`static String[]` | `STMT_CREATE_DIMENSION`
`static String[]` | `STMT_CREATE_DIRECTORY`
`static String[]` | `STMT_CREATE_DISKGROUP`
`static String[]` | `STMT_CREATE_FUNCTION`
`static String[]` | `STMT_CREATE_INDEX`
`static String[]` | `STMT_CREATE_INDEXTYPE`
`static String[]` | `STMT_CREATE_JAVA`
`static String[]` | `STMT_CREATE_LIBRARY`
`static String[]` | `STMT_CREATE_MATERIALIZED_VEIW_LOG`
`static String[]` | `STMT_CREATE_MATERIALIZED_VIEW`
`static String[]` | `STMT_CREATE_OPERATOR`
`static String[]` | `STMT_CREATE_OR_REPLACE_DIRECTORY`
`static String[]` | `STMT_CREATE_OR_REPLACE_FUNCTION`
`static String[]` | `STMT_CREATE_OR_REPLACE_LIBRARY`
`static String[]` | `STMT_CREATE_OR_REPLACE_OUTLINE`
`static String[]` | `STMT_CREATE_OR_REPLACE_PACKAGE`
`static String[]` | `STMT_CREATE_OR_REPLACE_PRIVATE_OUTLINE`
`static String[]` | `STMT_CREATE_OR_REPLACE_PROCEDURE`
`static String[]` | `STMT_CREATE_OR_REPLACE_PUBLIC_OUTLINE`
`static String[]` | `STMT_CREATE_OR_REPLACE_PUBLIC_SYNONYM`
`static String[]` | `STMT_CREATE_OR_REPLACE_SYNONYM`
`static String[]` | `STMT_CREATE_OR_REPLACE_TRIGGER`
`static String[]` | `STMT_CREATE_OR_REPLACE_TYPE`
`static String[]` | `STMT_CREATE_OUTLINE`
`static String[]` | `STMT_CREATE_PACKAGE`
`static String[]` | `STMT_CREATE_PFILE`
`static String[]` | `STMT_CREATE_PROCEDURE`
`static String[]` | `STMT_CREATE_PROFILE`
`static String[]` | `STMT_CREATE_PUBLIC_DATABASE`
`static String[]` | `STMT_CREATE_PUBLIC_ROLLBACK`
`static String[]` | `STMT_CREATE_PUBLIC_SYNONYM`
`static String[]` | `STMT_CREATE_ROLE`
`static String[]` | `STMT_CREATE_ROLLBACK`
`static String[]` | `STMT_CREATE_SEQUENCE`
`static String[]` | `STMT_CREATE_SPFILE`
`static String[]` | `STMT_CREATE_SYNONYM`
`static String[]` | `STMT_CREATE_TABLESPACE`
`static String[]` | `STMT_CREATE_TRIGGER`
`static String[]` | `STMT_CREATE_TYPE`
`static String[]` | `STMT_CREATE_UNIQUE_INDEX`
`static String[]` | `STMT_CREATE_USER`
`static String[]` | `STMT_DISASSOCIATE_STATISTICS`
`static String[]` | `STMT_DROP_CLUSTER`
`static String[]` | `STMT_DROP_CONTEXT`
`static String[]` | `STMT_DROP_DATABASE`
`static String[]` | `STMT_DROP_DIMENSION`
`static String[]` | `STMT_DROP_DIRECTORY`
`static String[]` | `STMT_DROP_DISKGROUP`
`static String[]` | `STMT_DROP_FUNCTION`
`static String[]` | `STMT_DROP_INDEX`
`static String[]` | `STMT_DROP_INDEXTYPE`
`static String[]` | `STMT_DROP_JAVA`
`static String[]` | `STMT_DROP_LIBRARY`
`static String[]` | `STMT_DROP_MATERIALIZED`
`static String[]` | `STMT_DROP_OPERATOR`
`static String[]` | `STMT_DROP_OUTLINE`
`static String[]` | `STMT_DROP_PACKAGE`
`static String[]` | `STMT_DROP_PROCEDURE`
`static String[]` | `STMT_DROP_PROFILE`
`static String[]` | `STMT_DROP_PUBLIC_DATABASE`
`static String[]` | `STMT_DROP_PUBLIC_SYNONYM`
`static String[]` | `STMT_DROP_ROLE`
`static String[]` | `STMT_DROP_ROLLBACK`
`static String[]` | `STMT_DROP_SEQUENCE`
`static String[]` | `STMT_DROP_SYNONYM`
`static String[]` | `STMT_DROP_TABLESPACE`
`static String[]` | `STMT_DROP_TRIGGER`
`static String[]` | `STMT_DROP_TYPE`
`static String[]` | `STMT_DROP_USER`
`static String[]` | `STMT_EXPLAIN_PLAN`
`static String[]` | `STMT_FLASHBACK`
`static String[]` | `STMT_LOCK_TABLE`
`static String[]` | `STMT_MERGE`
`static String[]` | `STMT_NOAUDIT`
`static String[]` | `STMT_PURGE`
`static String[]` | `STMT_RENAME`
`static String[]` | `STMT_ROLLBACK`
`static String[]` | `STMT_ROLLBACK_TO_SAVEPOINT`
`static String[]` | `STMT_ROLLBACK_WORK`
`static String[]` | `STMT_SAVEPOINT`
`static String[]` | `STMT_SET_CONSTRAINT`
`static String[]` | `STMT_SET_CONSTRAINTS`
`static String[]` | `STMT_SET_ROLE`
`static String[]` | `STMT_SET_TRANSACTION`
`static String[]` | `STMT_TRUNCATE`
`static String[]` | `VALID_SCHEMA_CHILD_STMTS`

Field Detail

### STMT_ALTER_CLUSTER

    static final String[] STMT_ALTER_CLUSTER

### STMT_ALTER_DATABASE

    static final String[] STMT_ALTER_DATABASE

### STMT_ALTER_DIMENSION

    static final String[] STMT_ALTER_DIMENSION

### STMT_ALTER_DISKGROUP

    static final String[] STMT_ALTER_DISKGROUP

### STMT_ALTER_FUNCTION

    static final String[] STMT_ALTER_FUNCTION

### STMT_ALTER_INDEX

    static final String[] STMT_ALTER_INDEX

### STMT_ALTER_INDEXTYPE

    static final String[] STMT_ALTER_INDEXTYPE

### STMT_ALTER_JAVA

    static final String[] STMT_ALTER_JAVA

### STMT_ALTER_MATERIALIZED

    static final String[] STMT_ALTER_MATERIALIZED

### STMT_ALTER_OPERATOR

    static final String[] STMT_ALTER_OPERATOR

### STMT_ALTER_OUTLINE

    static final String[] STMT_ALTER_OUTLINE

### STMT_ALTER_PACKAGE

    static final String[] STMT_ALTER_PACKAGE

### STMT_ALTER_PROCEDURE

    static final String[] STMT_ALTER_PROCEDURE

### STMT_ALTER_PROFILE

    static final String[] STMT_ALTER_PROFILE

### STMT_ALTER_RESOURCE

    static final String[] STMT_ALTER_RESOURCE

### STMT_ALTER_ROLE

    static final String[] STMT_ALTER_ROLE

### STMT_ALTER_ROLLBACK

    static final String[] STMT_ALTER_ROLLBACK

### STMT_ALTER_SEQUENCE

    static final String[] STMT_ALTER_SEQUENCE

### STMT_ALTER_SESSION

    static final String[] STMT_ALTER_SESSION

### STMT_ALTER_SYSTEM

    static final String[] STMT_ALTER_SYSTEM

### STMT_ALTER_TABLESPACE

    static final String[] STMT_ALTER_TABLESPACE

### STMT_ALTER_TRIGGER

    static final String[] STMT_ALTER_TRIGGER

### STMT_ALTER_TYPE

    static final String[] STMT_ALTER_TYPE

### STMT_ALTER_USER

    static final String[] STMT_ALTER_USER

### STMT_ALTER_VIEW

    static final String[] STMT_ALTER_VIEW

### ALTER_PHRASES

    static final String[][] ALTER_PHRASES

### STMT_ANALYZE

    static final String[] STMT_ANALYZE

### STMT_ASSOCIATE_STATISTICS

    static final String[] STMT_ASSOCIATE_STATISTICS

### STMT_AUDIT

    static final String[] STMT_AUDIT

### STMT_COMMIT_WORK

    static final String[] STMT_COMMIT_WORK

### STMT_COMMIT_WRITE

    static final String[] STMT_COMMIT_WRITE

### STMT_COMMIT_FORCE

    static final String[] STMT_COMMIT_FORCE

### STMT_COMMIT

    static final String[] STMT_COMMIT

### STMT_COMMENT_ON

    static final String[] STMT_COMMENT_ON

### STMT_CREATE_CLUSTER

    static final String[] STMT_CREATE_CLUSTER

### STMT_CREATE_CONTEXT

    static final String[] STMT_CREATE_CONTEXT

### STMT_CREATE_CONTROLFILE

    static final String[] STMT_CREATE_CONTROLFILE

### STMT_CREATE_DATABASE

    static final String[] STMT_CREATE_DATABASE

### STMT_CREATE_DIMENSION

    static final String[] STMT_CREATE_DIMENSION

### STMT_CREATE_DIRECTORY

    static final String[] STMT_CREATE_DIRECTORY

### STMT_CREATE_DISKGROUP

    static final String[] STMT_CREATE_DISKGROUP

### STMT_CREATE_FUNCTION

    static final String[] STMT_CREATE_FUNCTION

### STMT_CREATE_INDEX

    static final String[] STMT_CREATE_INDEX

### STMT_CREATE_INDEXTYPE

    static final String[] STMT_CREATE_INDEXTYPE

### STMT_CREATE_JAVA

    static final String[] STMT_CREATE_JAVA

### STMT_CREATE_LIBRARY

    static final String[] STMT_CREATE_LIBRARY

### STMT_CREATE_MATERIALIZED_VIEW

    static final String[] STMT_CREATE_MATERIALIZED_VIEW

### STMT_CREATE_MATERIALIZED_VEIW_LOG

    static final String[] STMT_CREATE_MATERIALIZED_VEIW_LOG

### STMT_CREATE_OPERATOR

    static final String[] STMT_CREATE_OPERATOR

### STMT_CREATE_OR_REPLACE_DIRECTORY

    static final String[] STMT_CREATE_OR_REPLACE_DIRECTORY

### STMT_CREATE_OR_REPLACE_FUNCTION

    static final String[] STMT_CREATE_OR_REPLACE_FUNCTION

### STMT_CREATE_OR_REPLACE_LIBRARY

    static final String[] STMT_CREATE_OR_REPLACE_LIBRARY

### STMT_CREATE_OR_REPLACE_OUTLINE

    static final String[] STMT_CREATE_OR_REPLACE_OUTLINE

### STMT_CREATE_OR_REPLACE_PUBLIC_OUTLINE

    static final String[] STMT_CREATE_OR_REPLACE_PUBLIC_OUTLINE

### STMT_CREATE_OR_REPLACE_PRIVATE_OUTLINE

    static final String[] STMT_CREATE_OR_REPLACE_PRIVATE_OUTLINE

### STMT_CREATE_OR_REPLACE_PACKAGE

    static final String[] STMT_CREATE_OR_REPLACE_PACKAGE

### STMT_CREATE_OR_REPLACE_PROCEDURE

    static final String[] STMT_CREATE_OR_REPLACE_PROCEDURE

### STMT_CREATE_OR_REPLACE_PUBLIC_SYNONYM

    static final String[] STMT_CREATE_OR_REPLACE_PUBLIC_SYNONYM

### STMT_CREATE_OR_REPLACE_SYNONYM

    static final String[] STMT_CREATE_OR_REPLACE_SYNONYM

### STMT_CREATE_OR_REPLACE_TRIGGER

    static final String[] STMT_CREATE_OR_REPLACE_TRIGGER

### STMT_CREATE_OR_REPLACE_TYPE

    static final String[] STMT_CREATE_OR_REPLACE_TYPE

### STMT_CREATE_OUTLINE

    static final String[] STMT_CREATE_OUTLINE

### STMT_CREATE_PACKAGE

    static final String[] STMT_CREATE_PACKAGE

### STMT_CREATE_PFILE

    static final String[] STMT_CREATE_PFILE

### STMT_CREATE_PROCEDURE

    static final String[] STMT_CREATE_PROCEDURE

### STMT_CREATE_PROFILE

    static final String[] STMT_CREATE_PROFILE

### STMT_CREATE_PUBLIC_DATABASE

    static final String[] STMT_CREATE_PUBLIC_DATABASE

### STMT_CREATE_PUBLIC_ROLLBACK

    static final String[] STMT_CREATE_PUBLIC_ROLLBACK

### STMT_CREATE_PUBLIC_SYNONYM

    static final String[] STMT_CREATE_PUBLIC_SYNONYM

### STMT_CREATE_ROLE

    static final String[] STMT_CREATE_ROLE

### STMT_CREATE_ROLLBACK

    static final String[] STMT_CREATE_ROLLBACK

### STMT_CREATE_SEQUENCE

    static final String[] STMT_CREATE_SEQUENCE

### STMT_CREATE_SPFILE

    static final String[] STMT_CREATE_SPFILE

### STMT_CREATE_SYNONYM

    static final String[] STMT_CREATE_SYNONYM

### STMT_CREATE_TABLESPACE

    static final String[] STMT_CREATE_TABLESPACE

### STMT_CREATE_TRIGGER

    static final String[] STMT_CREATE_TRIGGER

### STMT_CREATE_TYPE

    static final String[] STMT_CREATE_TYPE

### STMT_CREATE_USER

    static final String[] STMT_CREATE_USER

### STMT_CREATE_UNIQUE_INDEX

    static final String[] STMT_CREATE_UNIQUE_INDEX

### STMT_CREATE_BITMAP_INDEX

    static final String[] STMT_CREATE_BITMAP_INDEX

### CREATE_PHRASES

    static final String[][] CREATE_PHRASES

### SLASHED_STMT_PHRASES

    static final String[][] SLASHED_STMT_PHRASES

### STMT_DISASSOCIATE_STATISTICS

    static final String[] STMT_DISASSOCIATE_STATISTICS

### STMT_DROP_CLUSTER

    static final String[] STMT_DROP_CLUSTER

### STMT_DROP_CONTEXT

    static final String[] STMT_DROP_CONTEXT

### STMT_DROP_DATABASE

    static final String[] STMT_DROP_DATABASE

### STMT_DROP_DIMENSION

    static final String[] STMT_DROP_DIMENSION

### STMT_DROP_DIRECTORY

    static final String[] STMT_DROP_DIRECTORY

### STMT_DROP_DISKGROUP

    static final String[] STMT_DROP_DISKGROUP

### STMT_DROP_FUNCTION

    static final String[] STMT_DROP_FUNCTION

### STMT_DROP_INDEX

    static final String[] STMT_DROP_INDEX

### STMT_DROP_INDEXTYPE

    static final String[] STMT_DROP_INDEXTYPE

### STMT_DROP_JAVA

    static final String[] STMT_DROP_JAVA

### STMT_DROP_LIBRARY

    static final String[] STMT_DROP_LIBRARY

### STMT_DROP_MATERIALIZED

    static final String[] STMT_DROP_MATERIALIZED

### STMT_DROP_OPERATOR

    static final String[] STMT_DROP_OPERATOR

### STMT_DROP_OUTLINE

    static final String[] STMT_DROP_OUTLINE

### STMT_DROP_PACKAGE

    static final String[] STMT_DROP_PACKAGE

### STMT_DROP_PROCEDURE

    static final String[] STMT_DROP_PROCEDURE

### STMT_DROP_PROFILE

    static final String[] STMT_DROP_PROFILE

### STMT_DROP_ROLE

    static final String[] STMT_DROP_ROLE

### STMT_DROP_ROLLBACK

    static final String[] STMT_DROP_ROLLBACK

### STMT_DROP_SEQUENCE

    static final String[] STMT_DROP_SEQUENCE

### STMT_DROP_SYNONYM

    static final String[] STMT_DROP_SYNONYM

### STMT_DROP_TABLESPACE

    static final String[] STMT_DROP_TABLESPACE

### STMT_DROP_TRIGGER

    static final String[] STMT_DROP_TRIGGER

### STMT_DROP_TYPE

    static final String[] STMT_DROP_TYPE

### STMT_DROP_USER

    static final String[] STMT_DROP_USER

### STMT_DROP_PUBLIC_DATABASE

    static final String[] STMT_DROP_PUBLIC_DATABASE

### STMT_DROP_PUBLIC_SYNONYM

    static final String[] STMT_DROP_PUBLIC_SYNONYM

### DROP_PHRASES

    static final String[][] DROP_PHRASES

### STMT_EXPLAIN_PLAN

    static final String[] STMT_EXPLAIN_PLAN

### STMT_FLASHBACK

    static final String[] STMT_FLASHBACK

### STMT_LOCK_TABLE

    static final String[] STMT_LOCK_TABLE

### STMT_MERGE

    static final String[] STMT_MERGE

### STMT_NOAUDIT

    static final String[] STMT_NOAUDIT

### STMT_PURGE

    static final String[] STMT_PURGE

### STMT_RENAME

    static final String[] STMT_RENAME

### STMT_ROLLBACK_TO_SAVEPOINT

    static final String[] STMT_ROLLBACK_TO_SAVEPOINT

### STMT_ROLLBACK_WORK

    static final String[] STMT_ROLLBACK_WORK

### STMT_ROLLBACK

    static final String[] STMT_ROLLBACK

### STMT_SAVEPOINT

    static final String[] STMT_SAVEPOINT

### STMT_SET_CONSTRAINT

    static final String[] STMT_SET_CONSTRAINT

### STMT_SET_CONSTRAINTS

    static final String[] STMT_SET_CONSTRAINTS

### STMT_SET_ROLE

    static final String[] STMT_SET_ROLE

### STMT_SET_TRANSACTION

    static final String[] STMT_SET_TRANSACTION

### STMT_TRUNCATE

    static final String[] STMT_TRUNCATE

### SET_PHRASES

    static final String[][] SET_PHRASES

### MISC_PHRASES

    static final String[][] MISC_PHRASES

### VALID_SCHEMA_CHILD_STMTS

    static final String[] VALID_SCHEMA_CHILD_STMTS

### COMPLEX_STMT_TYPES

    static final String[] COMPLEX_STMT_TYPES

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.